Compiler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Compiler

    java.lang.Object
      java.lang.Compiler

    public final class Compiler

extends Object

The `Compiler` class is provided to support Java-to-native-code compilers and related services. By design, the `Compiler` class does nothing; it serves as a placeholder for a JIT compiler implementation.

When the Java Virtual Machine first starts, it determines if the system property `java.compiler` exists. (System properties are accessible through `getProperty` and, a method defined by the `System` class.) If so, and the name isn't NONE or none, the internal JIT is enabled.

If no compiler is available, these methods do nothing.

Since:
  JDK1.0
Version:
  1.17 10/17/00
Author:
  Frank Yellin
See Also:
  `System.getProperty(java.lang.String)`, `System.getProperty(java.lang.String, java.lang.String)`

Method Summary
`static Object` | `command(Object any)` Examines the argument type and its fields and perform some documented operation.
`static boolean` | `compileClass(Class clazz)` Compiles the specified class.
`static boolean` | `compileClasses(String string)` Compiles all classes whose name matches the specified string.
`static void` | `disable()` Cause the Compiler to cease operation.
`static void` | `enable()` Cause the Compiler to resume operation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### compileClass

    public static boolean compileClass(Class clazz)

  Compiles the specified class.

  Parameters:
    `clazz` - a class.
  Returns:
    `true` if the compilation succeeded; `false` if the compilation failed or no compiler is available.
  Throws:
    `NullPointerException` - if `clazz` is `null`.

### compileClasses

    public static boolean compileClasses(String string)

  Compiles all classes whose name matches the specified string.

  Parameters:
    `string` - the name of the classes to compile.
  Returns:
    `true` if the compilation succeeded; `false` if the compilation failed or no compiler is available.
  Throws:
    `NullPointerException` - if `string` is `null`.

### command

    public static Object command(Object any)

  Examines the argument type and its fields and perform some documented operation. No specific operations are required.

  Parameters:
    `any` - an argument.
  Returns:
    a compiler-specific value, or `null` if no compiler is available.
  Throws:
    `NullPointerException` - if `any` is `null`.

### enable

    public static void enable()

  Cause the Compiler to resume operation. (This a noop on Solaris).

### disable

    public static void disable()

  Cause the Compiler to cease operation. (This a noop on Solaris).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD